# Copyright (c) 2012 gocept gmbh & co. kg
# See also LICENSE.txt

"""Resolver operations"""

import collections
import socket


class AddrInfo(collections.namedtuple('AddrInfo', (
    'family', 'socktype', 'proto', 'canonname', 'sockaddr'))):
    """Represent getaddrinfo lookup result.

    This 5-tuple represents the result data structure of the
    getaddrinfo(3) system call.
    """
    # pylint: disable=W0232,W0142,R0903

    @classmethod
    def resolve_listen_tcp(cls, host, port):
        """Look up host name and generate AddrInfo objects."""
        for addrinfo in socket.getaddrinfo(host, port, socket.AF_UNSPEC,
                                           socket.SOCK_STREAM, socket.SOL_TCP,
                                           socket.AI_PASSIVE):
            yield cls(*addrinfo)
