# Copyright (c) 2012 gocept gmbh & co. kg
# See also LICENSE.txt

"""Various exceptions reported by lockd"""

class LockdError(RuntimeError):
    """Base exception for gocept.lockd semantic errors."""
    pass


class AlreadyLocked(LockdError):
    """Resource is already locked by another client."""
    pass


class NotLocked(LockdError):
    """Resource has not been locked and thus cannot be unlocked."""
    pass


class LockMismatch(LockdError):
    """Resource must be unlocked by the same client."""
    pass
