# Copyright (c) 2012 gocept gmbh & co. kg
# See also LICENSE.txt

from setuptools import setup, find_packages

setup(
    name='gocept.lockd',
    version='0.2',
    description="A simple XML-RPC-based lock daemon to support fencing.",
    long_description=open('README.txt').read(),
    author="Christian Theune",
    author_email="ct@gocept.com",
    license="ZPL 2.1",
    package_dir={'': '.'},
    packages=find_packages('.'),
    include_package_data=True,
    namespace_packages=['gocept'],
    zip_safe=False,
    install_requires=[
        'netaddr',
        'setuptools',
        'zc.lockfile',
    ],
    entry_points={
        'console_scripts': [
            'lockd = gocept.lockd.server:main',
            'lockcmd = gocept.lockd.client:main',
        ],
    },
    test_suite='gocept.lockd.tests',
    extras_require={
        'test': [
            'mock',
        ],
    },
)
